IonCube Loader is a software instrument, that is needed to run files which are protected with ionCube PHP Encoder. The aforementioned is an application employed to make PHP code human unreadable, in order to protect it from reverse engineering and / or illegal usage. A number of script-driven apps, in particular forums, content management systems and electronic commerce solutions are encoded with ionCube PHP Encoder, which means that if you acquire a script and you notice that ionCube is one of the hosting environment prerequisites, you need to ensure that your web hosting server has the instrument pre-installed. While it is not that hard to set it up when you have your own server, it's almost impossible to do that on a shared web hosting server as the PHP environment will have to be precompiled and all clients on the server will be affected.
IonCube in Shared Hosting
If you aquire a Linux shared hosting from us, it'll be created on our custom-built cloud platform where ionCube Loader is already set up, so you will not have any kind of problems to manage any script app which needs the instrument to run appropriately. We also supply several different versions of PHP, which means that in case you switch the version, you'll need to activate ionCube once again. Our system remembers the adjustments you make, and in case you go back to the earlier release of PHP that was active for your account, ionCube Loader will already be activated. The PHP version as well as the ionCube instrument can be operated from the PHP Configuration area of our Hepsia hosting Control Panel. Any change that you make takes literally just a mouse-click and it'll take effect instantly.
IonCube in Semi-dedicated Hosting
If you buy a semi-dedicated server plan from us, you will be able to employ any kind of script-driven application which requires ionCube Loader due to the fact that the software tool comes with all servers that are a part of our innovative cloud hosting platform. In addition, we support several versions of PHP, so if you move from PHP 4 to 5.2 or 5.3, for example, you can enable ionCube for this particular version with only a click from your Hepsia Control Panel. Our platform will remember your decision, so if you switch back to the previous version of PHP, the instrument will already be active. For more tech-savvy users, we also provide the option to select the PHP version and if ionCube will be active or not for a particular domain without altering the settings for the whole website hosting account. This is done by putting a php.ini file within a domain folder with several lines of program code.